﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DemoApp
{
    /// <summary>
    /// Interaction logic for TestControl.xaml
    /// </summary>
    public partial class TestControl : UserControl
    {
        public TestControl()
        {
            InitializeComponent();
        }

        public static DependencyProperty ListProperty = DependencyProperty.Register(
            "List", typeof(IEnumerable<CustomClass>), typeof(TestControl), new FrameworkPropertyMetadata(null,
                FrameworkPropertyMetadataOptions.BindsTwoWayByDefault, List1PropertyCallback, null, false, UpdateSourceTrigger.PropertyChanged));

        private static void List1PropertyCallback(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {

        }

        public IEnumerable<CustomClass> List
        {
            get { return (IEnumerable<CustomClass>)base.GetValue(ListProperty); }
            set { base.SetValue(ListProperty, value); }
        }

        public static DependencyProperty CurrentItemProperty = DependencyProperty.Register(
            "CurrentItem", typeof(CustomClass), typeof(TestControl), new FrameworkPropertyMetadata(null,
                FrameworkPropertyMetadataOptions.BindsTwoWayByDefault, null, null, false, UpdateSourceTrigger.PropertyChanged));

        public CustomClass CurrentItem
        {
            get { return (CustomClass)base.GetValue(CurrentItemProperty); }
            set
            {
                base.SetValue(CurrentItemProperty, value);
            }
        }

        public static DependencyProperty List2Property = DependencyProperty.Register(
            "List2", typeof(IEnumerable<CustomClass>), typeof(TestControl), new FrameworkPropertyMetadata(null,
                FrameworkPropertyMetadataOptions.BindsTwoWayByDefault, List2PropertyCallback, null, false, UpdateSourceTrigger.PropertyChanged));

        private static void List2PropertyCallback(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {

        }

        public IEnumerable<CustomClass> List2
        {
            get { return (IEnumerable<CustomClass>)base.GetValue(List2Property); }
            set { base.SetValue(List2Property, value); }
        }

        public static DependencyProperty CurrentItem2Property = DependencyProperty.Register(
            "CurrentItem2", typeof(CustomClass), typeof(TestControl), new FrameworkPropertyMetadata(null,
                FrameworkPropertyMetadataOptions.BindsTwoWayByDefault, null, null, false, UpdateSourceTrigger.PropertyChanged));

        public CustomClass CurrentItem2
        {
            get { return (CustomClass)base.GetValue(CurrentItem2Property); }
            set
            {
                base.SetValue(CurrentItem2Property, value);
            }
        }

        private void button_Click(object sender, RoutedEventArgs e)
        {

        }
    }
}
